<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers::Impl::MatcherBase&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1Impl.html">Impl</a></li><li class="navelem"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers::Impl::MatcherBase&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Matchers::Impl::MatcherBase&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase__inherit__graph.png" border="0" usemap="#Catch_1_1Matchers_1_1Impl_1_1MatcherBase_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Matchers_1_1Impl_1_1MatcherBase_3_01T_01_4_inherit__map" id="Catch_1_1Matchers_1_1Impl_1_1MatcherBase_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="224,385,388,426"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Exception_1_1ExceptionMessageMatcher.html" title=" " alt="" coords="453,5,658,61"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Floating_1_1WithinAbsMatcher.html" title=" " alt="" coords="444,86,667,127"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Floating_1_1WithinRelMatcher.html" title=" " alt="" coords="445,151,665,193"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Floating_1_1WithinUlpsMatcher.html" title=" " alt="" coords="441,217,669,258"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html" title=" " alt="" coords="463,282,648,323"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html" title=" " alt="" coords="446,347,665,389"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html" title=" " alt="" coords="458,413,653,469"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html" title=" " alt="" coords="457,493,653,549"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsElementMatcher.html" title=" " alt="" coords="456,573,655,629"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1ContainsMatcher.html" title=" " alt="" coords="453,653,657,709"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1EqualsMatcher.html" title=" " alt="" coords="457,733,653,789"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Vector_1_1UnorderedEqualsMatcher.html" title=" " alt="" coords="436,813,675,869"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html" title=" " alt="" coords="5,351,176,393"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html" title=" " alt="" coords="5,417,176,458"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1ContainsMatcher.html" title=" " alt="" coords="723,323,917,365"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1EndsWithMatcher.html" title=" " alt="" coords="723,389,917,430"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1EqualsMatcher.html" title=" " alt="" coords="723,454,917,495"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html" title=" " alt="" coords="723,519,917,561"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Matchers::Impl::MatcherBase&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase__coll__graph.png" border="0" usemap="#Catch_1_1Matchers_1_1Impl_1_1MatcherBase_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Matchers_1_1Impl_1_1MatcherBase_3_01T_01_4_coll__map" id="Catch_1_1Matchers_1_1Impl_1_1MatcherBase_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="224,39,388,80"/>
<area shape="rect" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html" title=" " alt="" coords="5,5,176,47"/>
<area shape="rect" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html" title=" " alt="" coords="5,71,176,112"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aae4a9827601f6f26a52126e193d012de"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#aae4a9827601f6f26a52126e193d012de">operator&amp;&amp;</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a> const &amp;other) const</td></tr>
<tr class="separator:aae4a9827601f6f26a52126e193d012de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f8542b8f1567a6f9c65d0a6da7b679b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAnyOf.html">MatchAnyOf</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a5f8542b8f1567a6f9c65d0a6da7b679b">operator||</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a> const &amp;other) const</td></tr>
<tr class="separator:a5f8542b8f1567a6f9c65d0a6da7b679b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bb94bf2ff5c7ef73b7c11eb173bdf3b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a5bb94bf2ff5c7ef73b7c11eb173bdf3b">operator!</a> () const</td></tr>
<tr class="separator:a5bb94bf2ff5c7ef73b7c11eb173bdf3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb08943b9b5b88e4016151d83c1bde44"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#afb08943b9b5b88e4016151d83c1bde44">operator&amp;&amp;</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a> const &amp;other) const</td></tr>
<tr class="separator:afb08943b9b5b88e4016151d83c1bde44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28fdcec2f06eaefd83e8d2a987e7e32a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAnyOf.html">MatchAnyOf</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#a28fdcec2f06eaefd83e8d2a987e7e32a">operator||</a> (<a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a> const &amp;other) const</td></tr>
<tr class="separator:a28fdcec2f06eaefd83e8d2a987e7e32a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab954fa2f3149c104323ca798dc8411e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html#ab954fa2f3149c104323ca798dc8411e1">operator!</a> () const</td></tr>
<tr class="separator:ab954fa2f3149c104323ca798dc8411e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td></tr>
<tr class="memitem:ab65764dc245d85e2b268d3be870b650a inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#ab65764dc245d85e2b268d3be870b650a">MatcherUntypedBase</a> ()=default</td></tr>
<tr class="separator:ab65764dc245d85e2b268d3be870b650a inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985fd3c3ffcc9f2e8dc7a330130040b0 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a985fd3c3ffcc9f2e8dc7a330130040b0">MatcherUntypedBase</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=default</td></tr>
<tr class="separator:a985fd3c3ffcc9f2e8dc7a330130040b0 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62668ccc47b64a9094dcb6413f9af80b inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">operator=</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=delete</td></tr>
<tr class="separator:a62668ccc47b64a9094dcb6413f9af80b inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5982c7c80ca71dfe2298babadad7a453 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a5982c7c80ca71dfe2298babadad7a453">toString</a> () const</td></tr>
<tr class="separator:a5982c7c80ca71dfe2298babadad7a453 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab65764dc245d85e2b268d3be870b650a inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#ab65764dc245d85e2b268d3be870b650a">MatcherUntypedBase</a> ()=default</td></tr>
<tr class="separator:ab65764dc245d85e2b268d3be870b650a inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985fd3c3ffcc9f2e8dc7a330130040b0 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a985fd3c3ffcc9f2e8dc7a330130040b0">MatcherUntypedBase</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=default</td></tr>
<tr class="separator:a985fd3c3ffcc9f2e8dc7a330130040b0 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62668ccc47b64a9094dcb6413f9af80b inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a62668ccc47b64a9094dcb6413f9af80b">operator=</a> (<a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">MatcherUntypedBase</a> const &amp;)=delete</td></tr>
<tr class="separator:a62668ccc47b64a9094dcb6413f9af80b inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5982c7c80ca71dfe2298babadad7a453 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a5982c7c80ca71dfe2298babadad7a453">toString</a> () const</td></tr>
<tr class="separator:a5982c7c80ca71dfe2298babadad7a453 inherit pub_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html">Catch::Matchers::Impl::MatcherMethod&lt; T &gt;</a></td></tr>
<tr class="memitem:ae0920ff9e817acf08e1bb0cbcb044e30 inherit pub_methods_structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html#ae0920ff9e817acf08e1bb0cbcb044e30">match</a> (T const &amp;arg) const=0</td></tr>
<tr class="separator:ae0920ff9e817acf08e1bb0cbcb044e30 inherit pub_methods_structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0920ff9e817acf08e1bb0cbcb044e30 inherit pub_methods_structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html#ae0920ff9e817acf08e1bb0cbcb044e30">match</a> (T const &amp;arg) const=0</td></tr>
<tr class="separator:ae0920ff9e817acf08e1bb0cbcb044e30 inherit pub_methods_structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td></tr>
<tr class="memitem:a853be93ce33f71b5abede38081c79e9d inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a853be93ce33f71b5abede38081c79e9d">~MatcherUntypedBase</a> ()</td></tr>
<tr class="separator:a853be93ce33f71b5abede38081c79e9d inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d3a907dbfcbb596077df24f6e11fe2 inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a91d3a907dbfcbb596077df24f6e11fe2">describe</a> () const =0</td></tr>
<tr class="separator:a91d3a907dbfcbb596077df24f6e11fe2 inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a853be93ce33f71b5abede38081c79e9d inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a853be93ce33f71b5abede38081c79e9d">~MatcherUntypedBase</a> ()</td></tr>
<tr class="separator:a853be93ce33f71b5abede38081c79e9d inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d3a907dbfcbb596077df24f6e11fe2 inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a91d3a907dbfcbb596077df24f6e11fe2">describe</a> () const =0</td></tr>
<tr class="separator:a91d3a907dbfcbb596077df24f6e11fe2 inherit pro_methods_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html">Catch::Matchers::Impl::MatcherUntypedBase</a></td></tr>
<tr class="memitem:a951095c462657e7097a9a6dc4dde813f inherit pro_attribs_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase.html#a951095c462657e7097a9a6dc4dde813f">m_cachedToString</a></td></tr>
<tr class="separator:a951095c462657e7097a9a6dc4dde813f inherit pro_attribs_classCatch_1_1Matchers_1_1Impl_1_1MatcherUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5bb94bf2ff5c7ef73b7c11eb173bdf3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bb94bf2ff5c7ef73b7c11eb173bdf3b">&#9670;&nbsp;</a></span>operator!() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a>&lt; T &gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase</a>&lt; T &gt;::operator!</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab954fa2f3149c104323ca798dc8411e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab954fa2f3149c104323ca798dc8411e1">&#9670;&nbsp;</a></span>operator!() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchNotOf.html">MatchNotOf</a>&lt;T&gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase</a>&lt; T &gt;::operator! </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afb08943b9b5b88e4016151d83c1bde44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb08943b9b5b88e4016151d83c1bde44">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt;T&gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase</a>&lt; T &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae4a9827601f6f26a52126e193d012de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae4a9827601f6f26a52126e193d012de">&#9670;&nbsp;</a></span>operator&amp;&amp;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAllOf.html">MatchAllOf</a>&lt; T &gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase</a>&lt; T &gt;::operator&amp;&amp; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f8542b8f1567a6f9c65d0a6da7b679b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f8542b8f1567a6f9c65d0a6da7b679b">&#9670;&nbsp;</a></span>operator||() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAnyOf.html">MatchAnyOf</a>&lt; T &gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase</a>&lt; T &gt;::operator|| </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a28fdcec2f06eaefd83e8d2a987e7e32a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28fdcec2f06eaefd83e8d2a987e7e32a">&#9670;&nbsp;</a></span>operator||() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatchAnyOf.html">MatchAnyOf</a>&lt;T&gt; <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">Catch::Matchers::Impl::MatcherBase</a>&lt; T &gt;::operator|| </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherBase.html">MatcherBase</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
